Language

DocumentsContract.BuildSearchDocumentsUri Method

Definition

Overloads

Name Description
BuildSearchDocumentsUri(Uri, String)

Build URI representing a search for matching documents under a specific directory in a document provider.

BuildSearchDocumentsUri(String, String, String)

Build URI representing a search for matching documents under a specific root in a document provider.

BuildSearchDocumentsUri(Uri, String)

Build URI representing a search for matching documents under a specific directory in a document provider.

[Android.Runtime.Register("buildSearchDocumentsUri", "(Landroid/net/Uri;Ljava/lang/String;)Landroid/net/Uri;", "", ApiSince=37)]
public static Android.Net.Uri BuildSearchDocumentsUri(Android.Net.Uri parentDocumentUri, string? query);
[<Android.Runtime.Register("buildSearchDocumentsUri", "(Landroid/net/Uri;Ljava/lang/String;)Landroid/net/Uri;", "", ApiSince=37)>]
static member BuildSearchDocumentsUri : Android.Net.Uri * string -> Android.Net.Uri

Parameters

parentDocumentUri
Uri

the document that search results should be restricted to, which must be a directory with mime type of Document#MIME_TYPE_DIR and have Document#FLAG_SUPPORTS_SUBTREE_SEARCH set.

query
String

string to match documents against.

Returns

Uri

A search URI built below the supplied parent document URI with the query parameter appended.

Attributes

Remarks

Build URI representing a search for matching documents under a specific directory in a document provider. When queried, a provider will return zero or more rows with columns defined by Document.

Android reference for android.provider.DocumentsContract.buildSearchDocumentsUri.

Portions of this page are modifications based on work created and shared by the Android Open Source Project and used according to terms described in the Creative Commons 2.5 Attribution License.

Applies to

BuildSearchDocumentsUri(String, String, String)

Build URI representing a search for matching documents under a specific root in a document provider.

[Android.Runtime.Register("buildSearchDocumentsUri", "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Landroid/net/Uri;", "")]
public static Android.Net.Uri? BuildSearchDocumentsUri(string? authority, string? rootId, string? query);
[<Android.Runtime.Register("buildSearchDocumentsUri", "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Landroid/net/Uri;", "")>]
static member BuildSearchDocumentsUri : string * string * string -> Android.Net.Uri

Parameters

authority
String

The authority assigned to the URI for the target documents provider.

rootId
String

The provider's root identifier, encoded as a URI path segment.

query
String

The search text encoded in the URI's query parameter.

Returns

Uri

A content URI containing the root ID and the supplied search query.

Attributes

Remarks

Build URI representing a search for matching documents under a specific root in a document provider. When queried, a provider will return zero or more rows with columns defined by Document.

Java documentation for android.provider.DocumentsContract.buildSearchDocumentsUri(java.lang.String, java.lang.String, java.lang.String).

Portions of this page are modifications based on work created and shared by the Android Open Source Project and used according to terms described in the Creative Commons 2.5 Attribution License.

See also

Applies to